<?php
include_once '../../sys/inc/start.php';
include_once '../../sys/inc/compress.php';
include_once '../../sys/inc/sess.php';
include_once '../../sys/inc/home.php';
include_once '../../sys/inc/settings.php';
include_once '../../sys/inc/db_connect.php';
include_once '../../sys/inc/ipua.php';
include_once '../../sys/inc/fnc.php';
include_once '../../sys/inc/user.php';

$set['title']='Кости'; // заголовок страницы
include_once '../../sys/inc/thead.php';
title();
aut();

echo "<div class=\"str\">\n";

echo "</div>\n";
$act = isset($_GET['act']) ? $_GET['act'] : '';

$rand = mt_rand(100, 999);

switch ($act) {

case "go":

if ($user['balls'] >= 10) {

$num1 = mt_rand(2, 6);
$num2 = mt_rand(1, 6);
$num3 = mt_rand(1, 6);
$num4 = mt_rand(1, 5);


echo 'У банкира  выпало: <br/>';
echo '<img src="' . $num1 . '.gif" alt=""/>  и <img src="' . $num2 .
'.gif" alt=""/><br/><br/>';

echo 'У вас выпало: <br/>';
echo '<img src="' . $num3 . '.gif" alt=""/>  и <img src="' . $num4 .
'.gif" alt=""/><br/><br/>';


$num_bank = $num1 + $num2;
$num_user = $num3 + $num4;

//------------------------------ Банкир выиграл ----------------------------//

if ($num_bank > $num_user)
{
$balls_minus_c = ($user['balls'] - 30);
mysql_query("UPDATE `user` SET `balls` = '" . $balls_minus_c . "' WHERE `id` = '$user[id]' LIMIT 1");
echo '<b>Банкир выиграл!</b>';
}

//------------------------------ Вы выиграли ----------------------------//

if ($num_bank < $num_user)
{
$balls_plus_c = ($user['balls'] + 20);
mysql_query("UPDATE `user` SET `balls` = '" . $balls_plus_c . "' WHERE `id` = '$user[id]' LIMIT 1");
echo '<b>Вы выиграли!</b>';
}


if ($num_bank == $num_user) {
echo '<b>Ничья!</b>';
}
echo "<br />Баллы: $user[balls]<br />\n";

echo '<br/><b><a href="index.php?act=go&amp;rand=' . $rand .'">Играть</a></b><br/><br/>';
echo "<a href=\"index.php\">&#187;Назад</a>\n";
/////////////////////////
//задержка 1 сек
//sleep(1);
//
//
///////////////////////
} else {
echo 'Вы не можете играть, необходимо заработать по больше баллов<br/>';
echo "<a href=\"../index.php\">&#187;Назад</a>\n";
}

break;

case "faq":
echo 'Для участия в игре нажмите "Играть"<br/>';
echo 'За каждый проигрыш у вас будут списывать по ' . $balls_minus . ' балла<br/>';
echo 'За каждый выигрыш вы получите ' . $balls_plus . ' балла<br/>';
echo 'Желаю удачи!<br/>';
echo '<br/><a href="index.php">Вернуться</a>';
break;

default:
echo '<img src="6.gif" alt=""/>  и <img src="6.gif" alt=""/><br/><br/>';

echo '<b><a href="index.php?act=go&amp;rand=' . $rand .'">Играть</a></b><br/><br/>
<a href="index.php?act=faq&amp;">Помощь</a><br/>';

echo "Баллы: $user[balls]<br />\n";
echo "<a href=\"index.php\">&#187;Назад</a>\n";
break;

}

echo "<br/><a href=\"../index.php\">&#187;К играм</a>\n";
include_once '../../sys/inc/tfoot.php';
?>
